/*********************************************************************************************************
 * 프로그램명 : MoumiConfig.java 프로그램설명 : 프로젝트와 관련된 정보를 얻을수 있는 class 작성자 : 강원중 작성일 : 2003.12.18 변경일 : 2003.11.30
 **********************************************************************************************************/

package kr.co.kihyun.moumi;

public class MoumiUtil {

	/*
	 * @Deprecated use MoumiConfig.SysAuth
	 */
	@Deprecated
	public final static String[] sysAuth = { MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.repoper"), MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.totper"), MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.upper_totper"), "", MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.part_report_repoadm"), MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.report_repoadm"), MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.coporation_totDoc_adm"), MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.coporation_system_adm"),
		MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.totper_adm"), MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.sysadm") };

	/*
	 * @Deprecated use MoumiConfig.SysAuth
	 */
	@Deprecated
	public static String getSysAuth(int index) throws NumberFormatException {
		return sysAuth[index];
	}

	public static int getItemBNW(String itemExpr) {
		if (itemExpr.indexOf("~") == -1) {
			return 0;
		} else {
			return 1;
		}
	}

	public static int getItemNum(String itemNum) {
		if (itemNum.trim().equals(MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.figure"))) {
			return 1; // 숫자이면 1
		} else {
			return 0; // 문자및 null이면 0
		}
	}
}
